Get SSH access credentials for an environment
GET
/api/v3/organizations/{organisation}/applications/{application}/environments/{environment}/ssh-access
const url = 'https://dashboard.quantcdn.io/api/v3/organizations/test-org/applications/test-app/environments/test-env/ssh-access';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://dashboard.quantcdn.io/api/v3/organizations/test-org/applications/test-app/environments/test-env/ssh-access \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”organisation
required
string
The organisation ID
Example
test-orgapplication
required
string
The application ID
Example
test-appenvironment
required
string
The environment ID
Example
test-envResponses
Section titled “Responses”SSH access credentials
Media typeapplication/json
object
success
boolean
credentials
object
accessKeyId
string
secretAccessKey
string
sessionToken
string
expiration
string format: date-time
clusterName
string
taskArn
string
taskId
string
containerNames
Array<string>
region
string
expiresIn
integer
organizationScope
string
Examplegenerated
{ "success": true, "credentials": { "accessKeyId": "example", "secretAccessKey": "example", "sessionToken": "example", "expiration": "2026-04-15T12:00:00Z" }, "clusterName": "example", "taskArn": "example", "taskId": "example", "containerNames": [ "example" ], "region": "example", "expiresIn": 1, "organizationScope": "example"}Insufficient permissions
Environment not found
Failed to generate SSH access credentials
